Name:          dnssec4j
Version:       0.1.6
Release:       8%{?dist}
Summary:       Java Wrapper around DNSSEC primitives in dnsjava
License:       ASL 2.0 and GPLv3+
URL:           https://github.com/adamfisk/DNSSEC4J
Source0:       https://github.com/adamfisk/DNSSEC4J/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(dnsjava:dnsjava)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
DNSSEC4J is a higher level wrapper around the
DNSSEC primitives in dnsjava allowing applications to
more easily integrate DNSSEC into their applications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n DNSSEC4J-%{name}-%{version}

%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-site-plugin

%pom_change_dep :dnsjava dnsjava:

%mvn_file :%{name} %{name}

%build
# Tests use web access, and @ random fails
# DnsSecTest.testGetByName:55  Results not equal for www.beck.com expected:<[54.243.91.158]> but was:<[107.21.220.33]>
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license COPYRIGHT.txt LICENSE_APACHE_2.txt LICENSE_GPL.txt

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT.txt LICENSE_APACHE_2.txt LICENSE_GPL.txt

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Feb 12 2015 gil cattaneo <puntogil@libero.it> 0.1.6-1
- initial rpm
